Page MenuHomePhabricator

Add subpages in ns Page for nap.source
Closed, ResolvedPublic

Description

Please enable subpages in the Page namespace for Neapolitan Wikisource (https://nap.wikisource.org).
Now it looks like that:

"250": {
     "id": 250,
     "case": "first-letter",
     "canonical": "Page",
     "content": "",
     "*": "Paggena"
 },

Event Timeline

Ruthven created this task.May 14 2020, 9:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2020, 9:18 AM

Removing Wikisource; see its description.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMay 14 2020, 10:52 AM

Change 596477 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Enabe subpages in Page namespace on napwikisource

https://gerrit.wikimedia.org/r/596477

Zoranzoki21 moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Patch scheduled for Morning SWAT which will be between 18:00–19:00 per UTC.

Zoranzoki21 changed the task status from Open to Stalled.May 14 2020, 6:26 PM

Oh, I forgot to ask. Do you have community consensus? If yes, add URL to it.

Ruthven added a comment.EditedMay 14 2020, 6:43 PM

Come on! All the Page namespace of all Wikisource projects have subpages: it's the very way they are ordered. If the magic word {{SUBPAGENAME}} does not work, a lot of links fail.
Probably they forgot to set the flag when they created the project... I should have logged it as a bug rather than a request.

I agree with Ruthven, a community discussion wasn't required here. This namespace is the equivalent to "Page" (104) on enwikisource or "Pagina" (108) on itwikisource. Subpages are enabled by default on those extra namespace IDs. It's not clear to me why the ID on napwikisource was set to 250. Maybe it'd be better to change it instead. But in any case, please don't forget to enable subpages in the associated talk namespace (251) as well.

Zoranzoki21 added a comment.EditedMay 14 2020, 10:46 PM

@Ruthven @Sakretsu Per https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes local on-wiki community consensus is needed.

But in any case, please don't forget to enable subpages in the associated talk namespace (251) as well.

Patch updated, thanks.

I know that page, but this isn't a new feature request since, as has already been pointed out, that namespace doesn't work otherwise. Anyway, it doesn't matter now. Obviously, community consensus is unanimous.

I am surprised that this isn't part of the roll-out documentation that Page: ns is meant to be subpages. It shouldn't need a consensus, it was a miss during creation.

@Urbanecm I believe that this should be deployed now. Are you ok with this?

Sure

@Urbanecm I believe that this should be deployed now. Are you ok with this?

Change 596477 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable subpages in Page namespace on napwikisource

https://gerrit.wikimedia.org/r/596477

Mentioned in SAL (#wikimedia-operations) [2020-06-08T18:51:28Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 0e85203: Enable subpages in Page namespace on napwikisource (T252755) (duration: 00m 58s)

Urbanecm closed this task as Resolved.Jun 8 2020, 6:52 PM

This is now deployed.